IvyNodeEviction
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.resolve
Class IvyNodeEviction

    java.lang.Object
      org.apache.ivy.core.resolve.IvyNodeEviction

    public class IvyNodeEviction

extends java.lang.Object

Nested Class Summary
`static class` | `IvyNodeEviction.EvictionData` This class contains data about the eviction of an `IvyNode`.

Constructor Summary
`IvyNodeEviction(IvyNode node)`

Method Summary
`java.util.Collection` | `getAllEvictingConflictManagers()`
`java.util.Collection` | `getAllEvictingNodes()` Returns null if this node has only be evicted transitively, or the the collection of selected nodes if it has been evicted by other selected nodes
`java.util.Collection` | `getAllEvictingNodesDetails()`
`java.lang.String[]` | `getEvictedConfs()`
`IvyNodeEviction.EvictionData` | `getEvictedData(java.lang.String rootModuleConf)`
`java.util.Collection` | `getEvictedNodes(ModuleId mid, java.lang.String rootModuleConf)`
`java.util.Collection` | `getEvictedRevisions(ModuleId mid, java.lang.String rootModuleConf)`
`IvyNodeEviction.EvictionData` | `getEvictionDataInRoot(java.lang.String rootModuleConf, IvyNode ancestor)` Returns the eviction data for this node if it has been previously evicted in the root, null otherwise (if it hasn't been evicted in root) for the given rootModuleConf.
`java.util.Collection` | `getPendingConflicts(java.lang.String rootModuleConf, ModuleId mid)`
`java.util.Set` | `getResolvedNodes(ModuleId mid, java.lang.String rootModuleConf)`
`java.util.Collection` | `getResolvedRevisions(ModuleId mid, java.lang.String rootModuleConf)`
`boolean` | `isCompletelyEvicted()`
`boolean` | `isEvicted(java.lang.String rootModuleConf)`
`void` | `markEvicted(IvyNodeEviction.EvictionData evictionData)`
`void` | `setEvictedNodes(ModuleId moduleId, java.lang.String rootModuleConf, java.util.Collection evicted)`
`void` | `setPendingConflicts(ModuleId moduleId, java.lang.String rootModuleConf, java.util.Collection conflicts)`
`void` | `setResolvedNodes(ModuleId moduleId, java.lang.String rootModuleConf, java.util.Collection resolved)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyNodeEviction

    public IvyNodeEviction(IvyNode node)

Method Detail

### getResolvedNodes

    public java.util.Set getResolvedNodes(ModuleId mid,
                                          java.lang.String rootModuleConf)

  Returns:
    A copy of the set of resolved nodes (real nodes)

### getResolvedRevisions

    public java.util.Collection getResolvedRevisions(ModuleId mid,
                                                     java.lang.String rootModuleConf)

### setResolvedNodes

    public void setResolvedNodes(ModuleId moduleId,
                                 java.lang.String rootModuleConf,
                                 java.util.Collection resolved)

### getEvictedNodes

    public java.util.Collection getEvictedNodes(ModuleId mid,
                                                java.lang.String rootModuleConf)

### getEvictedRevisions

    public java.util.Collection getEvictedRevisions(ModuleId mid,
                                                    java.lang.String rootModuleConf)

### setEvictedNodes

    public void setEvictedNodes(ModuleId moduleId,
                                java.lang.String rootModuleConf,
                                java.util.Collection evicted)

### isEvicted

    public boolean isEvicted(java.lang.String rootModuleConf)

### isCompletelyEvicted

    public boolean isCompletelyEvicted()

### markEvicted

    public void markEvicted(IvyNodeEviction.EvictionData evictionData)

### getEvictedData

    public IvyNodeEviction.EvictionData getEvictedData(java.lang.String rootModuleConf)

### getEvictedConfs

    public java.lang.String[] getEvictedConfs()

### getAllEvictingNodes

    public java.util.Collection getAllEvictingNodes()

  Returns null if this node has only be evicted transitively, or the the collection of selected nodes if it has been evicted by other selected nodes

  Returns:

### getAllEvictingNodesDetails

    public java.util.Collection getAllEvictingNodesDetails()

### getAllEvictingConflictManagers

    public java.util.Collection getAllEvictingConflictManagers()

### getEvictionDataInRoot

    public IvyNodeEviction.EvictionData getEvictionDataInRoot(java.lang.String rootModuleConf,
                                                              IvyNode ancestor)

  Returns the eviction data for this node if it has been previously evicted in the root, null otherwise (if it hasn't been evicted in root) for the given rootModuleConf. Note that this method only works if conflict resolution has already be done in all the ancestors.

  Parameters:
    `rootModuleConf` -
    `ancestor` -
  Returns:

### getPendingConflicts

    public java.util.Collection getPendingConflicts(java.lang.String rootModuleConf,
                                                    ModuleId mid)

### setPendingConflicts

    public void setPendingConflicts(ModuleId moduleId,
                                    java.lang.String rootModuleConf,
                                    java.util.Collection conflicts)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD